Bug 172957 - pc-sysinstall can not handle disk layouts that have a 0 size in anything but the last slice or partition
Summary: pc-sysinstall can not handle disk layouts that have a 0 size in anything but ...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kris Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-22 15:50 UTC by Mark Saad
Modified: 2018-05-28 19:43 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Saad 2012-10-22 15:50:01 UTC
     In all prior versions of sysinstall a admin could create a 0 sized slice to indicate , use all available space left over after accounting for the other slice sizes. 
It was the following disk layout was inuse by us for a number of years

ad4s1-1=ufs 0 / 1
ad4s1-2=ufs 20971520 /var 1
ad4s1-3=swap 8388608 none

After the conversion to pc-sysinstall in 9.0-RELEASE , this functionality was broken and the following layout would not work as; pc-sysinstall allocated all of the disks space and assigned it to slice 1 .  It would not take the allocated sized of the other slices into account.

Fix: 

The bug was reported upstream to jpaetzel and kmoore who fixed it and commited r240315 to 9-STABLE. 
See http://svn.freebsd.org/changeset/base/240315 

This would be a big help to have this in the final version of 9.1-RELEASE .
How-To-Repeat:     First off  I am using pc-sysinstall to setup a PXE boot enviroment based network install for FreeBSD 9.1 .

I setup the following disk layout in a pc-sysinstall.conf which I passed to pc-sysinstall for an automated install .

disk0-part=UFS+SUJ 0 /
disk0-part=SWAP 2048 none
disk0-part=UFS+SUJ 10240 /var
commitDiskLabel

During the install process pc-sysinstall would fail indicating there was no free space to create swap.
Comment 1 Enji Cooper freebsd_committer 2015-11-10 09:12:53 UTC
kmoore owns pc-sysinstall.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:43:25 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.